/*
 * Copyright The OpenTelemetry Authors
 * SPDX-License-Identifier: Apache-2.0
 */

package io.opentelemetry.api.metrics.common;

import com.google.auto.value.AutoValue;
import io.opentelemetry.api.internal.ImmutableKeyValuePairs;
import java.util.List;
import javax.annotation.concurrent.Immutable;

@AutoValue
@Immutable
abstract class ArrayBackedLabels extends ImmutableKeyValuePairs<String, String> implements Labels {
  private static final Labels EMPTY = Labels.builder().build();

  static Labels empty() {
    return EMPTY;
  }

  ArrayBackedLabels() {}

  @Override
  protected abstract List<Object> data();

  static Labels sortAndFilterToLabels(Object... data) {
    return new AutoValue_ArrayBackedLabels(sortAndFilter(data, /* filterNullValues= */ false));
  }

  @Override
  public LabelsBuilder toBuilder() {
    return new ArrayBackedLabelsBuilder(data());
  }
}
